Subject: bug#30917: 26.0.91; True color emacs in termite

From: Oliver Laslett <[email-masked]>
Date: Mon, 26 Mar 2018 11:12:45 +0100

Rami, using TERM=xterm-direct2 worked! I tried many other options without
success. Many thanks, it seems that I have true colours. The only
difference is that when I exit and return to the terminal, my prompt
appears at the bottom and emacs remains in the terminal buffer (i.e. i have
to call $ clear to clear the terminal buffer). I have tested and this is
also happens with any command (e.g. `less`) so I guess related to using
TERM=xterm-direct2 and not emacs related.

Many thanks
Oliver

On Sat, Mar 24, 2018 at 12:19 AM, Rami Ylimäki <[email-masked]>
wrote:

> It seems that by default Termite sets TERM=xterm-termite, which doesn't
> support true color. However, since Termite uses libvte, it supports true
> color with semicolon separators, just like Gnome Terminal. If you have the
> latest Terminfo installed, you can launch Emacs with: TERM=xterm-direct2
> emacs -nw. At least that worked for me under Termite. If this doesn't work,
> there are more detailed instructions in Emacs FAQ node Common requests
> > Colors on a TTY.
>
> 2018-03-23 21:51 GMT+02:00 Oliver Laslett <[email-masked]>:
>
>> Rami, Eli,
>>
>> I’ve realised that calling ‘sudo’ is just resulting in emacs with no
>> theme and colours are inherited from my terminal theme (.Xresources). But
>> the problem still remains that emacs is not detecting that termite is true
>> colour. I have checked that terminfo defines setfg and setbg.
>>
>> Thanks
>>
>>
>>
>> On 23 Mar 2018, at 19:04, Eli Zaretskii <[email-masked]> wrote:
>>
>> >> From: Oliver Laslett <[email-masked]>
>> >> Date: Fri, 23 Mar 2018 10:30:47 +0000
>> >>
>> >> I have some odd behviour in emacs 26.0.91 with my color theme.
>> >> I am using termite terminal emulator (with true color support) and
>> >> when running `emacs -nw` I get a broken theme using reduced color set.
>> >> However, if I run `sudo emacs -nw` my theme shows correctly.
>> >>
>> >> As I understand, emacs determines true color support using terminfo. Is
>> >> emacs calling a command that may require root user privileges? How
>> could
>> >> I debug this (apologies, long term emacs user, first bug report!)?
>> >
>> > Rami, could you please look into this?
>> >
>> > Thanks.
>>
>
>